# slist File Reference

`#include <bits/stl_algobase.h>`
`#include <bits/allocator.h>`
`#include <bits/stl_construct.h>`
`#include <bits/stl_uninitialized.h>`
`#include <bits/concept_check.h>`

Include dependency graph for slist:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx
namespace | std

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset). You should only include this header if you are using GCC 3 or later.

Definition in file slist.